https://api.nexscope.ai/kd/product/detailRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/kd/product/detail |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
productId | string | required | TikTok product ID, such as `1729508370969629931`; string to avoid loss of large integer precision, usually `product_id` from the list |
region | string | optional | Region/market code, such as `US` |
dateRange | string | optional | Time range, such as `last7Day`, `last30Day` |
language | string | optional | Return language, for example `zh-CN`, `en-US` |
currency | string | optional | Currency unit, such as `USD` |
Code example
{
"currency": "USD",
"dateRange": "last7Day",
"productId": "1729508370969629931",
"region": "US"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (26 fields)
| Name | Type | Required | Description |
|---|---|---|---|
errcode | integer | optional | Business status code, `200` indicates success |
data | array | optional | Product details data, fixed to 1 element array when successful |
costToken | integer | optional | The deduction token for this call is usually `14000` |
errmsg | string | optional | Status message, `ok` on success |
product_id | string | optional | Unique product ID (string, to avoid loss of large integer precision) |
product_name | string | optional | Product name |
product_region | string | optional | The region/market where the product is located, such as `us` |
product_shop_id | string | optional | Store ID |
pri_cate_id | string | optional | First level category ID |
sec_cate_id | string | optional | Secondary category ID |
ter_cate_id | string | optional | Third-level category ID |
unit_price | number | optional | Unit price in requested `currency` currency |
min_price | number | optional | Lowest price in requested `currency` currency |
max_price | number | optional | Highest price in requested `currency` currency |
revenue | number | optional | Total sales/GMV by requested `currency` currency |
sales_volumn | integer | optional | Sales volume, field spelled `volumn` |
commission_rate | number | optional | Commission rate, direct percentage, `25.0` means 25% |
product_review_count | integer | optional | Number of product reviews |
launch_date | string | optional | Date on shelves (`YYYY-MM-DD`) |
delivery_type | string | optional | Shipping method, such as `local` |
video_number | integer | optional | Number of associated videos |
video_revenue | number | optional | Sales generated by video in requested `currency` currency |
live_number | integer | optional | Number of associated live broadcasts |
live_revenue | number | optional | Sales generated by live streaming, in requested `currency` currency |
shopping_mall_revenue | number | optional | Marketplace sales in requested `currency` currency |
creator_number | integer | optional | Number of connected people |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.